body {
  background: linear-gradient(
    to right,
    rgb(182, 244, 146),
    rgb(69, 144, 70, 0.8)
  );
  margin: 30px;
}
.container {
  max-width: 500px;
  padding: 40px;
  background-color: white;
  border-radius: 10px;
  margin: 20px auto;
}
h1 {
  text-align: center;
}
h3 {
  text-align: center;
  margin-bottom: 30px;
}
img {
  max-width: 100%;
  border-radius: 10px;
}
.theme-button {
  display: block;
  margin: 0 auto;
  padding: 7px 12px;
  border-radius: 20px;
  border: 1.5px solid rgb(42, 84, 29);
  background-color: rgb(69, 144, 70, 0.8);
  font-size: 12px;
  color: white;
}
.info-button {
  display: block;
  margin: 0 auto;
  padding: 10px 20px;
  border-radius: 20px;
  border: 1.8px solid rgb(42, 84, 29);
  background-color: rgb(69, 144, 70, 0.8);
  font-size: 16px;
  color: white;
}
button:hover {
  cursor: pointer;
  transition: all 150ms ease-in-out;
  opacity: 0.7;
}
p {
  line-height: 1.8;
}
footer {
  text-align: center;
  color: rgb(42, 84, 29);
  padding: 20px;
}
.hiking-image-link {
  transition: all 150ms ease-in-out;
}
.hiking-image-link:hover {
  cursor: pointer;
  filter: contrast(70%);
  transform: scale(1.2);
}
.grid {
  display: grid;
  margin: 15px 0 30px 0;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-gap: 15px;
}
.grid img {
  width: 100%;
  transition: all 120ms ease-in-out;
}
.grid img:hover {
  transform: scale(1.8);
}
.dark-theme.body {
  background: linear-gradient(
    112.1deg,
    rgb(32, 38, 57) 11.4%,
    rgb(63, 76, 119) 70.2%
  );
  color: rgba(255, 255, 255, 0.87);
}
.dark-theme.button {
  background-color: rgba(0, 0, 0, 1) !important;
  color: rgba(255, 255, 255, 0.87) !important;
  border-color: black !important;
}
.dark-theme.container {
  background-color: rgba(0, 0, 0, 0.6) !important;
}
footer.dark-theme {
  color: rgba(255, 255, 255, 0.87) !important;
}
